import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesPermissionAccountTable from '@/components/Render/Permission/Account/table'
import PagesPermissionAccountCreate from '@/components/Render/Permission/Account/create'

const PermissionAccountPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesPermissionAccountTable getId={getId}></PagesPermissionAccountTable>
                <PagesPermissionAccountCreate id={id}></PagesPermissionAccountCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(PermissionAccountPage);

